| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
uiODInlineTreeItem Class Reference
uiODMain

`#include <uiodplanedatatreeitem.h>`

Inheritance diagram for uiODInlineTreeItem:
[legend]

## Public Member Functions
| uiODInlineTreeItem (const VisID &, Type)
Public Member Functions inherited from uiODPlaneDataTreeItem
bool | displayDataFromDataPack (RegularSeisDataPack &, const Attrib::SelSpec &, const FlatView::DataDispPars::VD &)
bool | displayDataFromDesc (const Attrib::DescID &, bool stored)
bool | displayDataFromOther (const VisID &)
bool | displayDefaultData ()
bool | displayGuidance ()
bool | init () override
void | setAtWellLocation (const Well::Data &)
void | setTrcKeyZSampling (const TrcKeyZSampling &)
Public Member Functions inherited from uiODDisplayTreeItem
virtual bool | actModeWhenSelected () const
uiODDataTreeItem * | addAttribItem ()
virtual bool | displayedOnlyAtSections () const
VisID | displayID () const
void | handleAddAttrib ()
bool | isDisplayID (int) const
virtual bool | isOnlyAtSections () const
void | prepareForShutdown () override
virtual void | setOnlyAtSectionsDisplay (bool)
void | show (bool)
bool | showSubMenu () override
void | updateCheckStatus () override
void | updateColumnText (int) override
Public Member Functions inherited from uiODTreeItem
bool | anyButtonClick (uiTreeViewItem *) override
SceneID | sceneID () const
Public Member Functions inherited from uiTreeItem
| uiTreeItem (const uiString &nm=uiString::empty())
| ~uiTreeItem ()
virtual bool | addChild (uiTreeItem *child, bool below)
bool | allChildrenChecked () const
bool | allChildrenCollapsed () const
bool | allChildrenExpanded () const
bool | allChildrenUnchecked () const
bool | areAllParentsChecked ()
NotifierAccess * | checkStatusChange ()
void | collapse ()
void | collapseAllChildren ()
void | entryInEditMode (int col)
void | expand ()
void | expandAllChildren ()
virtual uiTreeItem * | findChild (const char *name)
virtual const uiTreeItem * | findChild (const char *name) const
virtual uiTreeItem * | findChild (int selkey)
virtual const uiTreeItem * | findChild (int selkey) const
virtual void | findChildren (const char *, ObjectSet< uiTreeItem > &)
uiTreeItem * | getChild (int)
const uiTreeItem * | getChild (int) const
ObjectSet< uiTreeItem > & | getChildren ()
const ObjectSet< uiTreeItem > & | getChildren () const
uiTreeViewItem * | getItem ()
const uiTreeViewItem * | getItem () const
template<class T >
bool | getProperty (const char *key, T &res) const
bool | getPropertyPtr (const char *key, void *&) const
bool | hasChildren () const
bool | hasGrandChildren () const
virtual bool | isChecked () const
bool | isCollapsed () const
bool | isExpanded () const
virtual bool | isSelected () const
NotifierAccess * | keyPressed ()
uiTreeItem * | lastChild ()
| mOD_DisableCopy (uiTreeItem) virtual void prepareForShutdown()
virtual void | moveItem (uiTreeItem *after)
virtual void | moveItemToTop ()
uiString | name () const
int | nrChildren () const
uiTreeItem * | parentTreeItem ()
virtual void | removeAllChildren ()
virtual void | removeChild (uiTreeItem *)
virtual bool | select ()
void | setChecked (bool yn, bool trigger=false)
void | setName (const uiString &nm)
template<class T >
void | setProperty (const char *key, const T &)
void | setPropertyPtr (const char *key, void *)
void | setToolTip (int column, const uiString &)
virtual uiTreeItem * | siblingAbove ()
virtual uiTreeItem * | siblingBelow ()
virtual int | siblingIndex () const
virtual void | translateText ()
void | updateSelTreeColumnText (int col)
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Protected Member Functions
| ~uiODInlineTreeItem ()
const char * | parentType () const override
Protected Member Functions inherited from uiODPlaneDataTreeItem
| uiODPlaneDataTreeItem (const VisID &, OD::SliceType, Type)
| ~uiODPlaneDataTreeItem ()
uiString | createDisplayName () const override
void | createMenu (MenuHandler *, bool istb) override
RefMan< visSurvey::PlaneDataDisplay > | getDisplay ()
ConstRefMan< visSurvey::PlaneDataDisplay > | getDisplay () const
void | handleMenuCB (CallBacker *) override
void | keyPressCB (CallBacker *) override
void | keyUnReDoPressedCB (CallBacker *)
void | movePlane (bool forward, int step=1)
void | movePlaneAndCalcAttribs (const TrcKeyZSampling &)
void | posChange (CallBacker *)
void | posDlgClosed (CallBacker *)
void | selChg (CallBacker *)
void | updatePlanePos (CallBacker *)
void | updatePositionDlg (CallBacker *)
Protected Member Functions inherited from uiODDisplayTreeItem
| uiODDisplayTreeItem ()
| ~uiODDisplayTreeItem ()
void | addToToolBarCB (CallBacker *)
bool | askContinueAndSaveIfNeeded (bool withcancel) override
virtual void | checkCB (CallBacker *)
virtual void | colorChgCB (CallBacker *)
virtual uiODDataTreeItem * | createAttribItem (const Attrib::SelSpec *) const
void | createMenuCB (CallBacker *)
virtual void | deleteObject ()
bool | doubleClick (uiTreeViewItem *) override
uiString | getLockMenuText () const
bool | isExpandable () const override
bool | isSelectable () const override
int | selectionKey () const override
void | selectRGBA (const Pos::GeomID &)
bool | shouldSelect (int selkey) const override
int | uiTreeViewItemType () const override
void | updateLockPixmap (bool islocked)
Protected Member Functions inherited from uiODTreeItem
| uiODTreeItem (const uiString &)
| ~uiODTreeItem ()
void | addStandardItems (uiMenu &)
uiODApplMgr * | applMgr ()
bool | getMoreObjectsToDoHint () const
void | handleStandardItems (int mnuid)
virtual const char * | iconName () const
bool | init () override
void | setMoreObjectsToDoHint (bool yn)
ui3DViewer * | viewer ()
Protected Member Functions inherited from uiTreeItem
virtual bool | addChld (uiTreeItem *, bool below, bool downwards)
virtual uiParent * | getUiParent () const
virtual void | removeItem (uiTreeViewItem *)
virtual void | renameItem (uiTreeViewItem *)
virtual bool | rightClick (uiTreeViewItem *)
virtual bool | selectWithKey (int selkey)
virtual void | setTreeViewItem (uiTreeViewItem *)
virtual void | updateSelection (int selectionKey, bool dw=false)
virtual bool | useParentType () const

## Additional Inherited Members
Public Types inherited from uiODPlaneDataTreeItem
enum | Type { Empty , Select , Default , RGBA }
Static Public Member Functions inherited from uiODPlaneDataTreeItem
static uiString | sAddAndSelectData ()
static uiString | sAddAtWellLocation ()
static uiString | sAddColorBlended ()
static uiString | sAddDefaultData ()
static uiString | sAddEmptyPlane ()
Static Public Member Functions inherited from uiODDisplayTreeItem
static bool | create (uiTreeItem *, uiODApplMgr *, const VisID &)
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Protected Attributes inherited from uiODPlaneDataTreeItem
MenuItem | addcrlitem_
MenuItem | addinlitem_
MenuItem | addzitem_
MenuItem | gridlinesmnuitem_
const OD::SliceType | orient_
WeakPtr< visSurvey::PlaneDataDisplay > | pdd_
uiSliceSelDlg * | positiondlg_ = nullptr
MenuItem | positionmnuitem_
const Type | type_
Protected Attributes inherited from uiODDisplayTreeItem
MenuItem | addattribmnuitem_
MenuItem | addmnuitem_
MenuItem | addvolprocmnuitem_
VisID | displayid_
MenuItem | displaymnuitem_
MenuItem | duplicatemnuitem_
MenuItem | hidemnuitem_
MenuItem | histogrammnuitem_
MenuItem | lockmnuitem_
MenuItem | removemnuitem_
uiVisPartServer * | visserv_
Protected Attributes inherited from uiTreeItem
ObjectSet< uiTreeItem > | children_
uiString | name_
uiTreeItem * | parent_ = nullptr
IOPar | properties_
uiTreeViewItem * | uitreeviewitem_ = nullptr

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiODInlineTreeItem()

uiODInlineTreeItem::uiODInlineTreeItem | ( | const VisID & | ,
|  | Type | )

## ◆ ~uiODInlineTreeItem()

uiODInlineTreeItem::~uiODInlineTreeItem | ( |  | ) |
| protected

## Member Function Documentation

## ◆ parentType()

const char * uiODInlineTreeItem::parentType | ( |  | ) | const
| inline override protected virtual

Returns
  typeid(parentclass).name()

Implements uiTreeItem.

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025